Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/sch-cake: new aport

From: Ben Allen <bensallen_at_me.com>
Date: Wed, 13 Jan 2016 15:46:15 +0000

Out of tree build for the new Common Applications Kept Enhanced (cake) qdisc kernel model. sch_cake is still under development, without published releases.

- http://www.bufferbloat.net/projects/codel/wiki/Cake?version=24
- https://github.com/dtaht/sch_cake
---
 testing/sch-cake/APKBUILD | 64 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 64 insertions(+)
 create mode 100644 testing/sch-cake/APKBUILD
diff --git a/testing/sch-cake/APKBUILD b/testing/sch-cake/APKBUILD
new file mode 100644
index 0000000..2a3970f
--- /dev/null
+++ b/testing/sch-cake/APKBUILD
_at_@ -0,0 +1,64 @@
+# Contributor: Ben Allen <bensallen_at_me.com>
+# Maintainer: Ben Allen <bensallen_at_me.com>
+_flavor=${FLAVOR:-grsec}
+_kpkg=linux-$_flavor
+_realname=sch-cake
+_name=$_realname-$_flavor
+
+_kver=4.1.15
+_kpkgrel=2
+
+_gitver=0966da9bcc3ac5d3e77f3fddc98f03deed8734a8
+_mypkgrel=0
+
+# source the kernel version
+if [ -f ../linux-$_flavor/APKBUILD ]; then
+	. ../linux-$_flavor/APKBUILD
+	[ "$_kver" != "$pkgver" ] && die "$_name: Please update _kver to $pkgver"
+	[ "$_kpkgrel" != "$pkgrel" ] && die "$_name: Please update _kpkgrel to $pkgrel"
+fi
+
+_kernelver=$_kver-r$_kpkgrel
+_abi_release=${_kver}-${_kpkgrel}-${_flavor}
+
+pkgname=$_name
+pkgver=$_kver
+pkgrel=$(($_kpkgrel + $_mypkgrel))
+
+pkgrel=0
+pkgdesc="Out of tree build for the new cake qdisc"
+url="https://github.com/dtaht/sch_cake"
+arch="all"
+license="Dual BSD/GPL"
+depends="linux-${_flavor}=${_kernelver}"
+makedepends="linux-${_flavor}-dev=${_kernelver} linux-headers"
+install=
+install_if="linux-$_flavor=$_kernelver $_realname"
+subpackages=
+source="saveas-https://github.com/dtaht/sch_cake/archive/$_gitver.tar.gz/$_realname-$_gitver.tar.gz"
+_builddir="$srcdir"/sch_cake-$_gitver
+
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	install -v -m 0755 -d $pkgdir/lib/modules/$_abi_release/kernel/net/sched
+        install -v -m 0644 $_builddir/sch_cake.ko $pkgdir/lib/modules/$_abi_release/kernel/net/sched/
+}
+
+md5sums="d7ce34a26653c6fe0403a8428535b635  sch-cake-0966da9bcc3ac5d3e77f3fddc98f03deed8734a8.tar.gz"
+sha256sums="bb5df79a655e8177e8e9dd3dddbcec79be23c985d8e30578dd0dec94aabdca91  sch-cake-0966da9bcc3ac5d3e77f3fddc98f03deed8734a8.tar.gz"
+sha512sums="f7c843864483ba550318d85ec7ef1cc8deb8266f70704128f5ade696818eded384e96ee312f9c4b9adff16edde39d61e322215aae65d18f6912b68ca09e31d28  sch-cake-0966da9bcc3ac5d3e77f3fddc98f03deed8734a8.tar.gz"
-- 
2.7.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Jan 13 2016 - 15:46:15 GMT